"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fsNS = void 0;
const promises_1 = require("fs/promises");
const os_1 = require("os");
const repl_ns_1 = require("repl-ns");
const fs_1 = __importDefault(require("fs"));
exports.fsNS = (0, repl_ns_1.ns)('fs', {
    cachedTempFilePath(url) {
        return (0, exports.fsNS)().tmpFilePathCache[url];
    },
    setCachedTempFilePath(url, path) {
        (0, exports.fsNS)().tmpFilePathCache[url] = path;
    },
    async createTempFilePath() {
        return `${await (0, promises_1.mkdtemp)(`${(0, os_1.tmpdir)()}/ytdl-tui-`)}/video.mp4`;
    },
    writeTempFile(path) {
        return fs_1.default.createWriteStream(path);
    },
    async cpFile(from, to) {
        await (0, promises_1.copyFile)(from, to);
    },
    tmpFilePathCache: {},
});
